Bug 643461 - Warn Error "File contains a record that's not valid" while reading: "/tmp/wireshark..."
Summary: Warn Error "File contains a record that's not valid" while reading: "/tmp/wir...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Radek Vokál
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-15 17:02 UTC by Jonathan Kamens
Modified: 2010-11-21 21:54 UTC (History)
4 users (show)

Fixed In Version: wireshark-1.4.1-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-21 21:54:07 UTC
Type: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2010-10-15 17:02:30 UTC
With wireshark-1.4.0-2.fc14.x86_64, Wireshark stops capturing packets shortly after I start a simple capture ("port 80" on eth0) and starts printing messages like this repeatedly in the window from which I started it:

13:02:26          Warn Error "File contains a record that's not valid" while reading: "/tmp/wiresharkXXXX14jNPE"

Comment 1 Jonathan Kamens 2010-10-15 17:20:56 UTC
I tried rebuilding the RPM with wireshark 1.4.1 and the problem persists.

Comment 2 Jonathan Kamens 2010-10-15 17:42:14 UTC
Recompiling with --without-zlib fixes it. Searching for the phrase "File contains a record that's not valid" on the Internet yields more information about this problem.

Comment 3 Jan Safranek 2010-11-01 15:35:06 UTC
wireshark-1.4.1-2.fc15 with disabled zlib is landing into rawhide soon, I'll update F14 in few days (I'd like to see proper fix though).

Comment 4 Fedora Update System 2010-11-04 15:43:47 UTC
wireshark-1.4.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wireshark-1.4.1-2.fc14

Comment 5 Jan Safranek 2010-11-04 15:44:38 UTC
I give up, I haven't found any solution other than disabling zlib :(.

Comment 6 Fedora Update System 2010-11-04 23:30:21 UTC
wireshark-1.4.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wireshark'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/wireshark-1.4.1-2.fc14

Comment 7 Fedora Update System 2010-11-21 21:53:52 UTC
wireshark-1.4.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.